| Qore Programming Language Reference Manual 1.0.8

Variables
Qore::Type Namespace Reference

Type namespace. More...

## Variables
const | Binary = "binary"
| Gives the type for binary values.
const | Boolean = "bool"
| Gives the type for boolean values.
const | CallReference = "call reference"
| Gives the type for call references.
const | Closure = "closure"
| Gives the type for closures.
const | Date = "date"
| Gives the type for the date values.
const | Float = "float"
| Gives the type for float values.
const | Hash = "hash"
| Gives the type for hash values.
const | Int = "integer"
| Gives the type for integer values.
const | List = "list"
| Gives the type for list values.
const | NothingType = "nothing"
| Gives the type when no value is available.
const | NullType = "NULL"
| Gives the type for SQL null values.
const | Number = "number"
| Gives the type for number values.
const | Object = "object"
| Gives the type for object values.
const | String = "string"
| Gives the type for string values.

## Detailed Description

Type namespace.